using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities.T4
{
    [Description("App包文件")]
    public partial class T_PF_APP_VERSION_FILE : MesEntityBase
    {

        [Description("App版本记录ID")]
        [DataFieldForeignKey("Nav_AppVersion", "Nav_Files")]
        public Guid APP_VERSION_ID { get; set; }

        [Description("导航属性：App版本记录")]
        public virtual T_PF_APP_VERSION Nav_AppVersion{ get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }


    }
}
